import { InboxState } from '../state/inbox.state';
import * as i0 from "@angular/core";
/**
 * Service for downloading data items as a csv file.
 */
export declare class CsvService {
    /**
     * The state of the inbox.
     */
    inboxState: InboxState;
    /**
     * Download the data items as a csv file.
     */
    downloadCSV(): void;
    /**
     * Convert an array of objects to a csv string.
     * @param {any[]} objArray The array of objects to convert.
     */
    private convertToCSV;
    static ɵfac: i0.ɵɵFactoryDeclaration<CsvService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CsvService>;
}
