import { IIconFiltersInput } from './icon-filters-input.interface';
import { IFilterAttribute } from './filter-attribute.interface';
/**
 * The buffer filter sort.
 * Used to store the filter, icon filter, and sort attributes.
 */
export interface IBufferFilterSort {
    /**
     * The filter attributes.
     */
    filterAttributes: IFilterAttribute[];
    /**
     * The icon filter attributes.
     */
    iconFilterAttributes: IIconFiltersInput[];
    /**
     * The sort attributes.
     */
    sortAttributes: any;
}
