import { IShortcuts } from '../../shared/interfaces/shortcuts.interface';
import * as i0 from "@angular/core";
/**
 *  InboxShortcutsComponent is used to display the shortcuts in the inbox toolbar.
 *  @example
 * <talenra-inbox-shortcuts [customShortcuts]="customShortcuts"></talenra-inbox-shortcuts>
 *
 */
export declare class InboxShortcutsComponent {
    /**
     * The list of shortcuts to display.
     */
    customShortcuts: IShortcuts[];
    static ɵfac: i0.ɵɵFactoryDeclaration<InboxShortcutsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InboxShortcutsComponent, "talenra-inbox-shortcuts", never, { "customShortcuts": { "alias": "customShortcuts"; "required": false; }; }, {}, never, never, true, never>;
}
