import { IPreset } from './preset.interface';
/**
 * IPresetGroup is used to define a group of preset options.
 */
export interface IPresetGroup {
    /**
     * Group name of the preset options.
     */
    groupName: string;
    /**
     * Preset options of the groups.
     */
    presets: IPreset[];
}
