/**
 * Key and behavior of a shortcut for custom display in shortcuts menu.
 */
export interface IShortcuts {
    /**
     * Which key or key combination triggers the shortcut.
     */
    key: string;
    /**
     * Which behavior is triggered by pressing the key or key combination.
     */
    behavior: string;
}
