export * from './lib/inbox.module';
export * from './lib/inbox/inbox.component';
export * from './lib/inbox-configuration-panel/inbox-configuration-panel.component';
export * from './lib/attributes-settings/attributes-settings.component';
export * from './lib/inbox-toolbar/inbox-toolbar.component';
export * from './lib/filter-toolbar/filter-toolbar.component';
export * from './lib/filter-toolbar/icon-filter/icon-filter.component';
export * from './lib/filter-toolbar/attribute-selector/attribute-selector.component';
export * from './lib/simple-filter-selection/simple-filter-selection.component';
export * from './lib/inbox-layout/inbox-layout.component';
export * from './lib/inbox-layout/data-items-list/data-items-list.component';
export * from './lib/inbox-layout/data-items-list/data-item/data-item.component';
export * from './lib/inbox-layout/inbox-detail-view/inbox-detail-view.component';
export * from './lib/inbox-layout/inbox-detail-view/detail-view-information-box/detail-view-information-box.component';
export * from './lib/inbox-layout/inbox-detail-view/detail-view-information-box/detail-view-information/detail-view-information.component';
export * from './lib/inbox-layout/inbox-detail-view/detail-view-information-box/detail-view-information-tab-bar/detail-view-information-tab-bar.component';
export * from './lib/inbox-layout/inbox-detail-view/detail-view-information-box/detail-view-information-tab-bar/detail-view-information-tab/detail-view-information-tab.component';
export * from './lib/inbox-layout/inbox-detail-view/inbox-note-box/inbox-note-box.component';
export * from './lib/input-components/configuration-menu/configuration-menu.component';
export * from './lib/skeleton-loading/skeleton-loading.component';
export * from './lib/skeleton-loading/skeleton-loading-data-items-list/skeleton-loading-data-items-list.component';
export * from './lib/shared/types/checkbox.types';
export * from './lib/shared/interfaces/attribute-item.interface';
export * from './lib/shared/interfaces/attribute-item-input.interface';
export * from './lib/shared/interfaces/shortcuts.interface';
export * from './lib/shared/interfaces/preset-group.interface';
export * from './lib/shared/interfaces/inbox-configuration.interface';
export * from './lib/shared/classes/dataItem.class';
export * from './lib/shared/interfaces/locked-attributes.interface';
export * from './lib/shared/interfaces/attribute-item-selector.interface';
export * from './lib/shared/interfaces/note-box-item.interface';
export * from './lib/shared/interfaces/icon-input.interface';
export * from './lib/shared/interfaces/selected-filter-value.interface';
export * from './lib/shared/interfaces/preset-action.interface';
export * from './lib/shared/interfaces/interacted-data-items.interface';
export * from './lib/shared/interfaces/pairing-attributes.interface';
export * from './lib/shared/interfaces/preset.interface';
export * from './lib/shared/interfaces/data-item-id.interface';
export * from './lib/shared/interfaces/inbox-tab-bar-item.interface';
export * from './lib/shared/interfaces/inbox-filter-sort-search.interface';
export * from './lib/filter-toolbar/filter-toolbar.service';
export * from './lib/inbox/state/inbox.state';
export * from './lib/inbox-layout/inbox-detail-view/inbox-detail-view.service';
export * from './lib/inbox-toolbar/inbox-toolbar.service';
export * from './lib/inbox-layout/data-items-list/data-items.service';
export * from './lib/inbox-toolbar/presets-menu/presets.service';
export * from './lib/shared/interfaces/filter-attribute.interface';
export * from './lib/shared/interfaces/filter-search-sort.interface';
/**
 * Current version of the library (e.g. "1.0.0", "1.1.0-rc.0")
 *
 * ```typescript
 * import { version } from '@talenra/ngx-inbox';
 * console.log(version);
 * ```
 */
export declare const version: string;
